summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2020-06-22 15:01:50 +0200
committerJeroen Roovers <jer@gentoo.org>2020-06-22 15:08:13 +0200
commit4416bd6321dc303b76229aed69e92ac641734148 (patch)
treeaa666e723eb8cbd48b5c8f41060ac2cc715f7379 /app-admin
parentnet-vpn/ipsec-tools: cleanup vulnerable version, bug #624832 (diff)
downloadgentoo-4416bd6321dc303b76229aed69e92ac641734148.tar.gz
gentoo-4416bd6321dc303b76229aed69e92ac641734148.tar.bz2
gentoo-4416bd6321dc303b76229aed69e92ac641734148.zip
app-admin/fam: Version 2.7.0_p17_p3
- EAPI=7 - Use Debian tarball - Fix HAVE_BINDRESVPORT_PROTO check in src_Listener.c++ Package-Manager: Portage-2.3.101, Repoman-2.3.22 Closes: https://bugs.gentoo.org/729120 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/fam/Manifest2
-rw-r--r--app-admin/fam/fam-2.7.0_p17_p3.ebuild80
-rw-r--r--app-admin/fam/files/fam-2.7.0-bindresvport.patch11
3 files changed, 93 insertions, 0 deletions
diff --git a/app-admin/fam/Manifest b/app-admin/fam/Manifest
index 914b1bab745..e08a82b6407 100644
--- a/app-admin/fam/Manifest
+++ b/app-admin/fam/Manifest
@@ -1,3 +1,5 @@
DIST fam-2.7.0.tar.gz 301974 BLAKE2B 9a915e61b2898717cac1b7bbe9b2049aee0701314710906c5c8323aafe0847a9f017d09c4d9345e1fba386ac3c1001ec013325f9841d716e8c91e35bcf1e3962 SHA512 62b6222ee925eb2af1e258097c9bb676191690f38f8504ae16b1883a1019e0ac6dc7116ac2c4c596a956b3b3cfc3ce3ee7b613c319654681afb13e3ad3f284e2
DIST fam_2.7.0-17.2.diff.gz 28826 BLAKE2B 880f8614304b048a24be03231ec26a02901befd75c8c5d51abf07d5afb42f370f4d3702d0db790f2f651f040372791024d9cbfbea15a1932629fb13a7b6a5ec8 SHA512 295c954fcecb7357a72ecf3c7469bb37c29e8969fc7be3a0e92e40e79911c9578f44c42a0a6f900610c8a9886f1addc62e50f258105aaadb61c718f526608697
+DIST fam_2.7.0-17.3.diff.gz 28847 BLAKE2B d46e0d60d438459b43e24d2757771f02f3b5eec1b297f16a0359b26d14fbfba9701ebdc63d9b4dbbe2247cc7b38b9670ed9900a896224a3c4d8affc1481a8a79 SHA512 67d339e1cd4409897b044aa9b4c755a43b939982ee70c0ab5d99afd807994ad1f571a52bf04125a633cc3a735e99ff9e156caf2fb4288f5c008121a4eb9379b6
DIST fam_2.7.0-17.diff.gz 28056 BLAKE2B 4db010fdf7a2548f5651e9da876df63d3bd0d1a5f184b26df99f7d4204bbcbadf4c7672d248d9d1af2e7297b0ec17a5ec80e6b57016774877465a957ae3c6ae8 SHA512 76b14e1d17713eb86d52cb804d34012e5369b5f4e8bcbdc73a063d2ad9219e0c4a261cef9e144ee07744a953a2e893bdf2ceeefcf21edc7a2ac5e70a51a8e209
+DIST fam_2.7.0.orig.tar.gz 301945 BLAKE2B 9219c15b998bbac49e76eeac86f2de666ac49dca773c82ff6220c11ee77f0381b93ddbeeb500a7775bff3cc29ad6e7008e12304f0b0e361cbcc951d9f995a229 SHA512 dae6e883ef10214b1506d342e32cb5c59d0b4b7b66c1b099daa836958651ff3b04d526b4e516abd96e51587a97a8950e9517d1b38c6f7e6637ee3e7d20243531
diff --git a/app-admin/fam/fam-2.7.0_p17_p3.ebuild b/app-admin/fam/fam-2.7.0_p17_p3.ebuild
new file mode 100644
index 00000000000..339c46f7539
--- /dev/null
+++ b/app-admin/fam/fam-2.7.0_p17_p3.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic multilib-minimal toolchain-funcs
+
+FAM_PV="${PV/_p*/}"
+DEBIAN_PATCH="${PV#*_p}"
+DEBIAN_PATCH="${DEBIAN_PATCH/_p/.}"
+DESCRIPTION="FAM, the File Alteration Monitor"
+HOMEPAGE="http://oss.sgi.com/projects/fam/"
+SRC_URI="
+ mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${FAM_PV}.orig.tar.gz
+ mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${FAM_PV}-${DEBIAN_PATCH}.diff.gz
+"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="static-libs"
+
+DEPEND="
+ !app-admin/gamin
+ net-libs/libtirpc
+ net-nds/rpcbind
+"
+RDEPEND="
+ ${DEPEND}
+"
+DOCS=( AUTHORS ChangeLog INSTALL NEWS TODO README )
+S=${WORKDIR}/${PN}-${FAM_PV}
+PATCHES=(
+ "${FILESDIR}"/${PN}-${FAM_PV}-AM_CONFIG_HEADER.patch
+ "${FILESDIR}"/${PN}-${FAM_PV}-bindresvport.patch #729120
+ "${FILESDIR}"/${PN}-${FAM_PV}-out-of-tree.patch
+ "${FILESDIR}"/${PN}-${FAM_PV}-sysmacros.patch #580702
+)
+
+src_unpack() {
+ default
+ cd "${WORKDIR}" || die
+ tar xzf "${WORKDIR}"/${PN}-${FAM_PV}/${PN}-${FAM_PV}.tar.gz || die
+}
+
+src_prepare() {
+ find "${S}" -type f -exec chmod +w {} \; || die
+
+ eapply "${WORKDIR}"/${PN}_${FAM_PV}-${DEBIAN_PATCH}.diff
+ edos2unix debian/patches/10_debianbug375967.patch
+ eapply "${FILESDIR}"/${PN}-${FAM_PV}-patch-header.patch
+ eapply debian/patches/*patch
+
+ default
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ tc-export PKG_CONFIG
+ append-cppflags $(${PKG_CONFIG} --cflags libtirpc)
+ append-libs $(${PKG_CONFIG} --libs libtirpc)
+ ECONF_SOURCE=${S} econf $(use_enable static-libs static)
+
+ # These are thrown away later
+ if ! multilib_is_native_abi ; then
+ sed -i -e 's/src conf man//' Makefile || die
+ fi
+}
+
+multilib_src_install_all() {
+ find "${ED}" -name '*.la' -delete || die
+
+ einstalldocs
+
+ sed -i "${D}"/etc/fam.conf \
+ -e "s:local_only = false:local_only = true:g" \
+ || die "sed fam.conf"
+
+ doinitd "${FILESDIR}/famd"
+}
diff --git a/app-admin/fam/files/fam-2.7.0-bindresvport.patch b/app-admin/fam/files/fam-2.7.0-bindresvport.patch
new file mode 100644
index 00000000000..1876ca0c235
--- /dev/null
+++ b/app-admin/fam/files/fam-2.7.0-bindresvport.patch
@@ -0,0 +1,11 @@
+--- a/src/Listener.c++
++++ b/src/Listener.c++
+@@ -44,7 +44,7 @@
+ #include "Cred.h"
+ #include "BTree.h"
+
+-#if !(HAVE_BINDRESVPORT_PROTO)
++#if !(HAVE_BINDRESVPORT)
+ extern "C" int bindresvport(int sd, struct sockaddr_in *);
+ #endif
+